# $Revision: 1.56 $, $Date: 2012/06/25 08:46:39 $
Summary:	A Tk toolkit extension, including widgets, geometry managers, etc
Summary(es.UTF-8):	Componentes (widgets) y comandos extras para aplicaciones Tk
Summary(pl.UTF-8):	Rozszerzenie Tk umożliwiające operowanie na kontrolkach i wiele innych
Summary(pt_BR.UTF-8):	Componentes (widgets) e comandos extras para aplicações Tk
Summary(ru.UTF-8):	Расширение набора Tk, включая графические примитивы, менеджеры геометрии и т.д
Summary(uk.UTF-8):	Розширення набору Tk, включаючи графічні примітиви, менеджери геометрії і т.і
Name:		blt
Version:	2.4z
Release:	1
License:	MIT
Group:		Development/Tools
Source0:	http://dl.sourceforge.net/blt/BLT%{version}.tar.gz
# Source0-md5:	aa2ed73080f3005d9c2a3b5e57ab1eff
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-paths.patch
Patch2:		%{name}-excl.patch
Patch3:		%{name}-acfix.patch
Patch4:		%{name}-nolibnsl.patch
Patch5:		%{name}-tcltk84.patch
Patch6:		%{name}-norpath.patch
Patch7:		%{name}-tcl85.patch
Patch8:		%{name}-decl.patch
Patch9:		%{name}-link.patch
Patch10:	%{name}-64bit.patch
URL:		http://blt.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	tcl-devel >= 8.4.6
BuildRequires:	tk-devel >= 8.4.6
Requires:	tcl >= 8.4.6
Requires:	tk >= 8.4.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ulibdir	%{_prefix}/lib

%description
BLT is an extension to the Tk toolkit. BLT's most useful feature is
the provision of more widgets for Tk, but it also provides more
geometry managers and miscellaneous other commands. Note that you
won't need to do any patching of the Tcl or Tk source files to use
BLT, but you will need to have Tcl/Tk installed in order to use BLT.
If you are programming with the Tk toolkit, you should install BLT.
You will need to have Tcl/Tk installed.

%description -l es.UTF-8
BLT ofrece componentes (widgets) y comandos extras para programas Tk.
Incluye componentes gráficos, administración de geometría de tablas y
folders.

%description -l pl.UTF-8
BLT jest rozszerzeniem Tk. Najbardziej użyteczną funkcją BLT jest
rozszerzenie Tk o większą ilość kontrolek; oferuje również więcej
funkcji zarządzania geometrią i innych poleceń. Aby używać BLT nie
trzeba łatać plików źródłowych Tcl ani Tk, trzeba jednak mieć
zainstalowanego Tcl/Tk. Jeśli programuje się w Tcl/Tk, lepiej
zainstalować BLT. Trzeba również zainstalować Tcl/Tk.

%description -l pt_BR.UTF-8
O BLT fornece componentes (widgets) e comandos extras para programas
Tk. Ele inclui componentes gráficos, gerenciamento de geometria de
tabelas e folders.

%description -l ru.UTF-8
BLT - это расширение набора Tk. Наиболее ценной особенностью BLT
является предоставление бОльшего набора примитивов для Tk, но он также
предоставляет больше менеджеров геометрии и прочих команд. Следует
отметить, что вам не надо изменять исходных текстов Tcl или Tk для
того, чтобы использовать BLT, но вам необходимо установить Tcl/Tk для
использования BLT.

%description -l uk.UTF-8
BLT - це розширення набору Tk. Найбільш цінною особливістю BLT є
надання більшого набору примітивів для Tk, але він також надає більше
менджерів геометрії та інших команд. Слід зазначити, що вам не треба
змінювати вихідних текстів Tcl або Tk для того, щоб використовувати
BLT, але вам необхідно встановити Tcl/Tk для використання BLT.

%package devel
Summary:	BLT development package
Summary(pl.UTF-8):	Pakiet dla programistów BLT
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description devel
BLT header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe BLT.

%package static
Summary:	BLT static libraries
Summary(pl.UTF-8):	Biblioteki statyczne BLT
Group:		Development/Tools
Requires:	%{name}-devel = %{version}-%{release}

%description static
BLT static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne BLT.

%package demos
Summary:	BLT demos and examples
Summary(pl.UTF-8):	Dema i przykłady do BLT
Summary(pt_BR.UTF-8):	Programas que demonstram as características do BLT
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description demos
BLT demos and examples.

%description demos -l pl.UTF-8
Programy demonstracyjne i przykładowe do BLT.

%description demos -l pt_BR.UTF-8
Programas que demonstram as características do BLT.

%prep
%setup -q -n %{name}%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
cp -f /usr/share/automake/config.* cf
%{__autoconf}
%configure \
	--with-tcllibs=%{_libdir} \
	--with-tklibs=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_prefix}/lib,%{_examplesdir}/%{name}-%{version},%{_mandir}}

%{__make} -j1 install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

%{__ln_s} libBLT24.so $RPM_BUILD_ROOT%{_libdir}/libBLT.so
%{__ln_s} libBLTlite24.so $RPM_BUILD_ROOT%{_libdir}/libBLTlite.so

%{__mv} $RPM_BUILD_ROOT%{_bindir}/bltsh{24,}
%{__mv} $RPM_BUILD_ROOT%{_bindir}/bltwish{24,}

# bitmap.n is provided by tk-devel
%{__rm} $RPM_BUILD_ROOT%{_mandir}/mann/bitmap.n

%{__mv} $RPM_BUILD_ROOT%{_ulibdir}/blt2.4/demos $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -ra examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} html/Makefile* $RPM_BUILD_ROOT%{_ulibdir}/blt2.4/{NEWS,PROBLEMS,README}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS PROBLEMS README
%attr(755,root,root) %{_bindir}/blt*sh
%attr(755,root,root) %{_libdir}/libBLT*24.so
%{_ulibdir}/blt2.4

%files devel
%defattr(644,root,root,755)
%doc html
%attr(755,root,root) %{_libdir}/libBLT.so
%attr(755,root,root) %{_libdir}/libBLT*[A-Za-z].so
%{_includedir}/blt*.h
%{_mandir}/mann/*.n*
%{_mandir}/man3/*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files demos
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: blt.spec,v $
Revision 1.56  2012/06/25 08:46:39  gotar
- damn, one more try...

Revision 1.55  2012/06/25 08:44:55  gotar
- package missing symlink, use macros in install, cosmetics

Revision 1.54  2012/06/25 08:31:06  gotar
- more install fixes

Revision 1.53  2012/06/25 08:16:17  gotar
- oops, do apply the patch

Revision 1.52  2012/06/25 08:14:57  gotar
- added 64 bit patch, fixed install

Revision 1.51  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.50  2007/02/12 00:48:40  baggins
- converted to UTF-8

Revision 1.49  2005/07/24 10:33:26  qboosh
- added tcl85,decl,link patches

Revision 1.48  2005/07/23 18:51:57  bszx
- updated to 2.4z

Revision 1.47  2004/12/17 21:25:21  sparky
- spanish desc/summary fixes; many just thrown

Revision 1.46  2004/03/07 19:31:39  qboosh
- release 15

Revision 1.45  2004/03/07 14:16:14  qboosh
- more lib64 fixes

Revision 1.44  2004/03/07 12:33:46  qboosh
- versioned examples dir, pass tcllibs,tklibs for lib64 support

Revision 1.43  2004/03/07 09:48:39  qboosh
- direct URL

Revision 1.42  2004/03/07 00:24:26  qboosh
- reverted ugly hackery - shouldn't be needed with new tcl soname fixes (R: it)
- strict internal deps, release 14

Revision 1.41  2004/02/22 21:25:58  blues
- merged from RA-branch

Revision 1.40  2004/02/22 20:28:22  blues
- release 13 (12 for RA) - fixed library name (simple program included in
  tcl program does not work - some better fix is needed)

Revision 1.39  2003/08/28 12:03:36  ankry
- s/tk/Tk/

Revision 1.38  2003/08/06 16:36:16  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.37  2003/07/07 04:23:51  blues
- many small fixes, inspired by kloczek

Revision 1.36  2003/06/17 19:12:45  qboosh
- added norpath patch, release 11

Revision 1.35  2003/06/16 22:30:05  qboosh
- added tcltk84 patch - now builds with tcl+tk 8.4.3
- release 10

Revision 1.34  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.33  2003/05/25 05:46:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/03/04 23:31:22  qboosh
- added acfix and nolibnsl patches, fixed build on athlon
- added missing headers to -devel(!), moved base docs to base
- release 9

Revision 1.31  2003/02/28 10:07:21  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.30  2002/12/23 14:28:29  qboosh
- added URL, changed Source0 URL to working one

Revision 1.29  2002/12/12 01:33:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.28  2002/11/25 19:50:48  qboosh
- better pl

Revision 1.27  2002/11/25 01:40:36  ankry
Massive attack:
- s/man[ea]d[zż][ae]r/zarządca/g
- (some) new %%doc

Revision 1.26  2002/06/30 19:26:45  kloczek
- release 8: use new %doc and few cleanups in spec file.

Revision 1.25  2002/04/25 15:53:58  arturs
fixed a small typo

Revision 1.24  2002/04/25 10:34:09  marcus
- rel.7.
- s/demo/demos

Revision 1.23  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.22  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/01/18 02:12:30  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/12/05 12:57:07  blues
- release 6
- some stollen translations
- configure2_13 used (builds now)

Revision 1.19  2001/10/08 19:40:38  marcus
- added aclocal and BR: automake

Revision 1.18  2001/09/27 07:53:20  qboosh
- BuildRequires: autoconf; added the rest of pl translations

Revision 1.17  2001/09/27 00:22:35  marcus
- added autoconf

Revision 1.16  2001/01/06 02:27:42  kloczek
- reverte alst changes (tk-devel was fixed and have in Requires list
  XFree86-devel)

Revision 1.15  2001/01/05 23:38:58  qboosh
- BuildRequires: XFree86-devel

Revision 1.14  2001/01/05 08:02:56  kloczek
- release 5,
- merged excl rawhide patch (with fix tmp race),
- moved %doc to devel,
- added BuildRequires rules,
- few small cleanups.

Revision 1.13  2001/01/04 23:15:17  qboosh
- update to 2.4u
- updated Source URL
- new DESTDIR and paths patches
- demos package

Revision 1.12  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.11  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.9  2000/05/02 21:21:43  baggins
- fixed version, minor cleanup

Revision 1.8  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.6  2000/03/27 00:41:12  kloczek
- updated Source url.

Revision 1.5  2000/03/25 21:09:43  arturs
- %description -l pl: additions & corrections
